### Function

# ECal Client error_create_fmt

since: 3.34

#### Declaration [src]

    GError*
    e_cal_client_error_create_fmt (
      ECalClientError code,
      const gchar* format,
      ...
    )

#### Description [src]

Similar as e_cal_client_error_create(), only here, instead of custom_msg, is used a `printf()` format to create a custom message for the error.

Available since: 3.34

This function is not directly available to language bindings.

#### Parameters

`code`

  Type: `ECalClientError`

  An `ECalClientError`.

`format`

  Type: `const gchar*`

  Message format, or `NULL` to use the default message for the `code`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for the format.

#### Return value

Type: `GError`

A newly allocated `GError`, which should be freed with g_error_free(), when no longer needed. The `GError` has set the custom message, or the default message for `code`, when `format` is `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.